- id: ID_9e8lqofb
  name: v
  generalConfig:
    mode: global
    mixed-port: 52005
    allow-lan: false
    log-level: info
    interface-name: ""
  advancedConfig:
    port: 0
    socks-port: 52009
    secret: ID_3jon974a
    external-controller: 127.0.0.1:20123
    external-ui: ""
    external-ui-url: ""
    profile:
      store-cache: true
      store-fake-ip: true
      store-rdrc: false
    domain_strategy: ipv4_only
    tcp-fast-open: false
    tcp-multi-path: false
    udp-fragment: false
    sniff: true
    sniff-override-destination: false
  tunConfig:
    enable: false
    stack: Mixed
    auto-route: true
    interface-name: ""
    mtu: 1500
    strict-route: true
    endpoint-independent-nat: false
    inet4-address: 172.19.0.1/30
    inet6-address: fdfe:dcba:9876::1/126
  dnsConfig:
    enable: true
    fakeip: false
    strategy: ipv4_only
    local-dns: https://223.5.5.5/dns-query
    remote-dns: tls://8.8.8.8
    resolver-dns: 223.5.5.5
    remote-resolver-dns: 8.8.8.8
    final-dns: remote-dns
    local-dns-detour: 🎯 全球直连
    remote-dns-detour: 🚀 节点选择
    fake-ip-range-v4: 198.18.0.1/16
    fake-ip-range-v6: fc00::/18
    fake-ip-filter:
      - .lan
      - .localdomain
      - .example
      - .invalid
      - .localhost
      - .test
      - .local
      - .home.arpa
      - .msftconnecttest.com
      - .msftncsi.com
    disable-cache: false
    disable-expire: false
    independent-cache: false
    client-subnet: ""
  proxyGroupsConfig:
    - id: ID_hx3xsd88
      tag: youtube
      type: selector
      proxies:
        - id: ID_ksqciavd
          type: built-in
          tag: 油管自动
      url: https://www.gstatic.com/generate_204
      interval: 300
      use:
        - ID_gv701nek
        - ID_8sdd2gsh
      tolerance: 1
      filter: ""
    - id: ID_ksqciavd
      tag: 油管自动
      type: urltest
      proxies: []
      url: https://www.gstatic.com/generate_204
      interval: 300
      use:
        - ID_gv701nek
        - ID_8sdd2gsh
      tolerance: 1
      filter: ""
    - id: ID_ew42fwzf
      tag: tg
      type: urltest
      proxies: []
      url: https://www.gstatic.com/generate_204
      interval: 300
      use:
        - ID_2f6zqmzj
      tolerance: 150
      filter: ""
    - id: ID_sdxld38h
      tag: a
      type: urltest
      proxies: []
      url: https://www.gstatic.com/generate_204
      interval: 300
      use:
        - ID_2f6zqmzj
      tolerance: 50
      filter: ""
    - id: ID_rqh50wbv
      tag: 🚀 节点选择
      type: selector
      proxies:
        - id: ID_n893o397
          type: built-in
          tag: 🎈 自动选择
      use:
        - ID_4jwf5ocz
        - ID_tstlbsxs
        - ID_2f6zqmzj
        - ID_554myl7w
        - ID_gv701nek
        - ID_8sdd2gsh
      url: ""
      interval: 300
      tolerance: 150
      filter: ""
    - id: ID_n893o397
      tag: 🎈 自动选择
      type: urltest
      proxies: []
      use:
        - ID_4jwf5ocz
        - ID_tstlbsxs
      url: https://www.gstatic.com/generate_204
      interval: 300
      tolerance: 50
      filter: ""
    - id: ID_vt5g79rr
      tag: 🎯 全球直连
      type: selector
      proxies:
        - id: direct
          type: built-in
          tag: direct
        - id: block
          type: built-in
          tag: block
      use: []
      url: ""
      interval: 300
      tolerance: 150
      filter: ""
    - id: ID_lgy5eyri
      tag: 🛑 全球拦截
      type: selector
      proxies:
        - id: block
          type: built-in
          tag: block
        - id: direct
          type: built-in
          tag: direct
      use: []
      url: ""
      interval: 300
      tolerance: 150
      filter: ""
    - id: ID_cg6xd1er
      tag: 🐟 漏网之鱼
      type: selector
      proxies:
        - id: ID_rqh50wbv
          type: built-in
          tag: 🚀 节点选择
        - id: ID_vt5g79rr
          type: built-in
          tag: 🎯 全球直连
      use: []
      url: ""
      interval: 300
      tolerance: 150
      filter: ""
    - id: ID_mls9t3ys
      tag: GLOBAL
      type: selector
      proxies:
        - id: direct
          type: built-in
          tag: direct
        - id: block
          type: built-in
          tag: block
        - id: ID_rqh50wbv
          type: built-in
          tag: 🚀 节点选择
        - id: ID_n893o397
          type: built-in
          tag: 🎈 自动选择
        - id: ID_vt5g79rr
          type: built-in
          tag: 🎯 全球直连
        - id: ID_lgy5eyri
          type: built-in
          tag: 🛑 全球拦截
        - id: ID_cg6xd1er
          type: built-in
          tag: 🐟 漏网之鱼
      use:
        - ID_4jwf5ocz
        - ID_tstlbsxs
        - ID_2f6zqmzj
        - ID_8sdd2gsh
        - ID_gv701nek
        - ID_554myl7w
      url: ""
      interval: 300
      tolerance: 150
      filter: ""
  rulesConfig:
    - id: ID_7n8mf274
      type: rule_set
      payload: geosite_youtube@cn.binary
      proxy: youtube
      invert: false
      ruleset-name: ""
      ruleset-format: binary
      download-detour: ""
    - id: ID_azm1qfjf
      type: domain_suffix
      payload: jsdelivr.net,googleapis.com,googleusercontent.com
      proxy: youtube
      invert: false
      ruleset-name: ""
      ruleset-format: binary
      download-detour: ""
    - id: ID_eq6oa0rh
      type: rule_set
      payload: geosite_youtube.binary
      proxy: youtube
      invert: false
      ruleset-name: ""
      ruleset-format: binary
      download-detour: ""
    - id: ID_u8wln9ul
      type: domain_suffix
      payload: comments.app,contest.com,graph.org,quiz.directory,t.me,tdesktop.com,telega.one,telegra.ph,telegram-cdn.org,telegram.dog,telegram.me,telegram.org,telegram.space,telesco.pe,tg.dev,tx.me,usercontent.dev
      proxy: tg
      invert: false
      ruleset-name: ""
      ruleset-format: binary
      download-detour: ""
    - id: ID_s5o6maau
      type: ip_cidr
      payload: 91.108.4.0/22,91.108.8.0/22,91.108.12.0/22,91.108.16.0/22,91.108.56.0/22,149.154.160.0/22,149.154.164.0/22,149.154.168.0/22,149.154.172.0/22
      proxy: tg
      invert: false
      ruleset-name: ""
      ruleset-format: binary
      download-detour: ""
    - id: ID_2ntg6azb
      type: rule_set
      payload: geosite_telegram.binary
      proxy: a
      invert: false
      ruleset-name: ""
      ruleset-format: binary
      download-detour: ""
    - id: ID_x7ojvhg0
      type: rule_set
      payload: geosite_google-ads.binary
      proxy: youtube
      invert: false
      ruleset-name: ""
      ruleset-format: binary
      download-detour: ""
    - id: ID_csxx06ah
      type: domain_suffix
      payload: google.com.hk,google.com,gstatic.com
      proxy: youtube
      invert: false
      ruleset-name: ""
      ruleset-format: binary
      download-detour: ""
    - id: ID_eve0w2in
      type: domain_suffix
      payload: aboluowang.com
      proxy: a
      invert: false
      ruleset-name: ""
      ruleset-format: binary
      download-detour: ""
    - id: ID_k3iw381u
      type: inline
      payload: |-
        {
          "protocol": "dns",
          "port": 53
        }
      proxy: dns-out
      ruleset-name: ""
      ruleset-format: ""
      download-detour: ""
      invert: false
    - id: ID_n1yt3hi7
      type: clash_mode
      payload: direct
      proxy: direct
      ruleset-name: ""
      ruleset-format: ""
      download-detour: ""
      invert: false
    - id: ID_hr0moydo
      type: rule_set_url
      payload: https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@sing/geo/geosite/category-ads-all.srs
      proxy: 🛑 全球拦截
      ruleset-name: CATEGORY-ADS
      ruleset-format: binary
      download-detour: 🎯 全球直连
      invert: false
    - id: ID_7m1we6ql
      type: ip_is_private
      payload: ""
      proxy: 🎯 全球直连
      ruleset-name: ""
      ruleset-format: ""
      download-detour: ""
      invert: false
    - id: ID_8gsflzh6
      type: rule_set_url
      payload: https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@sing/geo/geoip/cn.srs
      proxy: 🎯 全球直连
      ruleset-name: GEOIP-CN
      ruleset-format: binary
      download-detour: 🎯 全球直连
      invert: false
    - id: ID_0eqy5yfd
      type: rule_set_url
      payload: https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@sing/geo/geosite/cn.srs
      proxy: 🎯 全球直连
      ruleset-name: GEOSITE-CN
      ruleset-format: binary
      download-detour: 🎯 全球直连
      invert: false
    - id: ID_gcjxypta
      type: rule_set_url
      payload: https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@sing/geo/geosite/geolocation-!cn.srs
      proxy: 🚀 节点选择
      ruleset-name: GEOLOCATION-!CN
      ruleset-format: binary
      download-detour: 🎯 全球直连
      invert: false
    - id: ID_6q10dqfz
      type: clash_mode
      payload: global
      proxy: GLOBAL
      ruleset-name: ""
      ruleset-format: ""
      download-detour: ""
      invert: false
    - id: ID_cevefxih
      type: final
      payload: ""
      proxy: 🐟 漏网之鱼
      ruleset-name: ""
      ruleset-format: ""
      download-detour: ""
      invert: false
    - id: ID_aqf1zlgq
      type: inline
      payload: |-
        {
          "network": "udp",
          "port": 443
        }
      proxy: 🛑 全球拦截
      ruleset-name: ""
      ruleset-format: ""
      download-detour: ""
      invert: false
  dnsRulesConfig:
    - id: ID_uh2d0400
      type: outbound
      payload: any
      server: local-dns
      invert: false
      disable-cache: true
      ruleset-name: ""
      ruleset-format: ""
      download-detour: ""
      client-subnet: ""
    - id: ID_pkekmfyy
      type: fakeip
      payload: ""
      server: fakeip-dns
      invert: false
      disable-cache: false
      ruleset-name: ""
      ruleset-format: ""
      download-detour: ""
      client-subnet: ""
    - id: ID_u1fkpe0h
      type: clash_mode
      payload: direct
      server: local-dns
      invert: false
      disable-cache: false
      ruleset-name: ""
      ruleset-format: ""
      download-detour: ""
      client-subnet: ""
    - id: ID_iztr5dh0
      type: clash_mode
      payload: global
      server: remote-dns
      invert: false
      disable-cache: false
      ruleset-name: ""
      ruleset-format: ""
      download-detour: ""
      client-subnet: ""
    - id: ID_dsib75l9
      type: rule_set_url
      payload: https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@sing/geo/geosite/cn.srs
      server: local-dns
      disable-cache: false
      invert: false
      ruleset-name: GEOSITE-CN
      ruleset-format: binary
      download-detour: 🎯 全球直连
      client-subnet: ""
    - id: ID_aoz224qw
      type: rule_set_url
      payload: https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@sing/geo/geosite/geolocation-!cn.srs
      server: remote-dns
      disable-cache: false
      invert: false
      ruleset-name: GEOLOCATION-!CN
      ruleset-format: binary
      download-detour: 🎯 全球直连
      client-subnet: ""
  mixinConfig:
    priority: gui
    config: "{}"
  scriptConfig:
    code: |-
      const onGenerate = async (config) => {
        return config
      }
- id: ID_63e9n5kc
  name: gga
  generalConfig:
    mode: global
    mixed-port: 52005
    allow-lan: false
    log-level: info
    interface-name: ""
  advancedConfig:
    port: 0
    socks-port: 52009
    secret: ID_q1egnkac
    external-controller: 127.0.0.1:20123
    external-ui: ""
    external-ui-url: ""
    profile:
      store-cache: true
      store-fake-ip: true
      store-rdrc: false
    domain_strategy: ipv4_only
    tcp-fast-open: false
    tcp-multi-path: false
    udp-fragment: false
    sniff: true
    sniff-override-destination: false
  tunConfig:
    enable: false
    stack: Mixed
    auto-route: true
    interface-name: ""
    mtu: 1500
    strict-route: true
    endpoint-independent-nat: false
    inet4-address: 172.19.0.1/30
    inet6-address: fdfe:dcba:9876::1/126
  dnsConfig:
    enable: true
    fakeip: false
    strategy: ipv4_only
    local-dns: https://223.5.5.5/dns-query
    remote-dns: tls://8.8.8.8
    resolver-dns: 223.5.5.5
    remote-resolver-dns: 8.8.8.8
    final-dns: remote-dns
    local-dns-detour: 🎯 全球直连
    remote-dns-detour: 🚀 节点选择
    fake-ip-range-v4: 198.18.0.1/16
    fake-ip-range-v6: fc00::/18
    fake-ip-filter:
      - .lan
      - .localdomain
      - .example
      - .invalid
      - .localhost
      - .test
      - .local
      - .home.arpa
      - .msftconnecttest.com
      - .msftncsi.com
    disable-cache: false
    disable-expire: false
    independent-cache: false
    client-subnet: ""
  proxyGroupsConfig:
    - id: ID_3a2loz03
      tag: 🚀 节点选择
      type: selector
      proxies:
        - id: ID_g7f6rza6
          type: built-in
          tag: 🎈 自动选择
      use:
        - ID_v0041lxg
      url: ""
      interval: 300
      tolerance: 150
      filter: ""
    - id: ID_g7f6rza6
      tag: 🎈 自动选择
      type: urltest
      proxies: []
      use:
        - ID_v0041lxg
      url: https://www.gstatic.com/generate_204
      interval: 300
      tolerance: 150
      filter: ""
    - id: ID_oewbo1fj
      tag: 🎯 全球直连
      type: selector
      proxies:
        - id: direct
          type: built-in
          tag: direct
        - id: block
          type: built-in
          tag: block
      use: []
      url: ""
      interval: 300
      tolerance: 150
      filter: ""
    - id: ID_69u93u1r
      tag: 🛑 全球拦截
      type: selector
      proxies:
        - id: block
          type: built-in
          tag: block
        - id: direct
          type: built-in
          tag: direct
      use: []
      url: ""
      interval: 300
      tolerance: 150
      filter: ""
    - id: ID_ws9ppr13
      tag: 🐟 漏网之鱼
      type: selector
      proxies:
        - id: ID_3a2loz03
          type: built-in
          tag: 🚀 节点选择
        - id: ID_oewbo1fj
          type: built-in
          tag: 🎯 全球直连
      use: []
      url: ""
      interval: 300
      tolerance: 150
      filter: ""
    - id: ID_47tbhal9
      tag: GLOBAL
      type: selector
      proxies:
        - id: direct
          type: built-in
          tag: direct
        - id: block
          type: built-in
          tag: block
        - id: ID_3a2loz03
          type: built-in
          tag: 🚀 节点选择
        - id: ID_g7f6rza6
          type: built-in
          tag: 🎈 自动选择
        - id: ID_oewbo1fj
          type: built-in
          tag: 🎯 全球直连
        - id: ID_69u93u1r
          type: built-in
          tag: 🛑 全球拦截
        - id: ID_ws9ppr13
          type: built-in
          tag: 🐟 漏网之鱼
      use:
        - ID_v0041lxg
      url: ""
      interval: 300
      tolerance: 150
      filter: ""
  rulesConfig:
    - id: ID_oqgsow9g
      type: inline
      payload: |-
        {
          "protocol": "dns",
          "port": 53
        }
      proxy: dns-out
      ruleset-name: ""
      ruleset-format: ""
      download-detour: ""
      invert: false
    - id: ID_3zi0ht5m
      type: clash_mode
      payload: direct
      proxy: direct
      ruleset-name: ""
      ruleset-format: ""
      download-detour: ""
      invert: false
    - id: ID_mgipgxte
      type: clash_mode
      payload: global
      proxy: GLOBAL
      ruleset-name: ""
      ruleset-format: ""
      download-detour: ""
      invert: false
    - id: ID_l4k7cmwc
      type: inline
      payload: |-
        {
          "network": "udp",
          "port": 443
        }
      proxy: 🛑 全球拦截
      ruleset-name: ""
      ruleset-format: ""
      download-detour: ""
      invert: false
    - id: ID_vvip58fw
      type: rule_set_url
      payload: https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@sing/geo/geosite/category-ads-all.srs
      proxy: 🛑 全球拦截
      ruleset-name: CATEGORY-ADS
      ruleset-format: binary
      download-detour: 🎯 全球直连
      invert: false
    - id: ID_lzvyb1c1
      type: ip_is_private
      payload: ""
      proxy: 🎯 全球直连
      ruleset-name: ""
      ruleset-format: ""
      download-detour: ""
      invert: false
    - id: ID_9bqe74oe
      type: rule_set_url
      payload: https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@sing/geo/geoip/cn.srs
      proxy: 🎯 全球直连
      ruleset-name: GEOIP-CN
      ruleset-format: binary
      download-detour: 🎯 全球直连
      invert: false
    - id: ID_rg29avh0
      type: rule_set_url
      payload: https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@sing/geo/geosite/cn.srs
      proxy: 🎯 全球直连
      ruleset-name: GEOSITE-CN
      ruleset-format: binary
      download-detour: 🎯 全球直连
      invert: false
    - id: ID_q93vjcij
      type: rule_set_url
      payload: https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@sing/geo/geosite/geolocation-!cn.srs
      proxy: 🚀 节点选择
      ruleset-name: GEOLOCATION-!CN
      ruleset-format: binary
      download-detour: 🎯 全球直连
      invert: false
    - id: ID_dh4zdc5f
      type: final
      payload: ""
      proxy: 🐟 漏网之鱼
      ruleset-name: ""
      ruleset-format: ""
      download-detour: ""
      invert: false
  dnsRulesConfig:
    - id: ID_qih08zlf
      type: outbound
      payload: any
      server: local-dns
      invert: false
      disable-cache: true
      ruleset-name: ""
      ruleset-format: ""
      download-detour: ""
      client-subnet: ""
    - id: ID_9zhbzqja
      type: fakeip
      payload: ""
      server: fakeip-dns
      invert: false
      disable-cache: false
      ruleset-name: ""
      ruleset-format: ""
      download-detour: ""
      client-subnet: ""
    - id: ID_mechjed2
      type: clash_mode
      payload: direct
      server: local-dns
      invert: false
      disable-cache: false
      ruleset-name: ""
      ruleset-format: ""
      download-detour: ""
      client-subnet: ""
    - id: ID_oy74sxvi
      type: clash_mode
      payload: global
      server: remote-dns
      invert: false
      disable-cache: false
      ruleset-name: ""
      ruleset-format: ""
      download-detour: ""
      client-subnet: ""
    - id: ID_p3rml215
      type: rule_set_url
      payload: https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@sing/geo/geosite/cn.srs
      server: local-dns
      disable-cache: false
      invert: false
      ruleset-name: GEOSITE-CN
      ruleset-format: binary
      download-detour: 🎯 全球直连
      client-subnet: ""
    - id: ID_d18nryp1
      type: rule_set_url
      payload: https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@sing/geo/geosite/geolocation-!cn.srs
      server: remote-dns
      disable-cache: false
      invert: false
      ruleset-name: GEOLOCATION-!CN
      ruleset-format: binary
      download-detour: 🎯 全球直连
      client-subnet: ""
  mixinConfig:
    priority: gui
    config: "{}"
  scriptConfig:
    code: |-
      const onGenerate = async (config) => {
        return config
      }
